Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.modules.layouts
Class DirectResponseLayout

    java.lang.Object
      org.apache.turbine.modules.Assembler
          org.apache.turbine.modules.Layout
              org.apache.turbine.modules.layouts.DirectResponseLayout

    public class DirectResponseLayout

extends Layout

This layout allows an action to manipulate the ServletOutputStream directly. It requires that data.declareDirectResponse() has been called to indicate that the OutputStream is being handled elsewhere.

Version:
  $Id: DirectResponseLayout.java 1066558 2011-02-02 18:12:40Z ludwig $
Author:
  Peter Courcoux

Field Summary

Fields inherited from class org.apache.turbine.modules.Layout
`CACHE_SIZE_DEFAULT, CACHE_SIZE_KEY, NAME, PREFIX`

Constructor Summary
`DirectResponseLayout()`

Method Summary
`void` | `doBuild(PipelineData pipelineData)` Ensures that a direct response has been declared.
`void` | `doBuild(RunData data)` Deprecated. Use PipelineData version instead.

Methods inherited from class org.apache.turbine.modules.Layout
`build, build, getPrefix`

Methods inherited from class org.apache.turbine.modules.Assembler
`getRunData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectResponseLayout

    public DirectResponseLayout()

Method Detail

### doBuild

    @Deprecated
    public void doBuild(RunData data)
                 throws Exception

  Deprecated. Use PipelineData version instead.

  Ensures that a direct response has been declared.

  Specified by:
    `doBuild` in class `Layout`
  Parameters:
    `data` - Turbine information.
  Throws:
    `TurbineException` - if a direct response has not been declared.
    `Exception` - a generic exception.

### doBuild

    public void doBuild(PipelineData pipelineData)
                 throws Exception

  Ensures that a direct response has been declared.

  Overrides:
    `doBuild` in class `Layout`
  Parameters:
    `data` - Turbine information.
  Throws:
    `TurbineException` - if a direct response has not been declared.
    `Exception` - a generic exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.